> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Recurrence Rule

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v2/recurrence_rules/{id}": {
      "put": {
        "summary": "Update Recurrence Rule",
        "description": "",
        "tags": [
          "Recurrence Rules"
        ],
        "operationId": "updateRecurrenceRule",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of Recurrence Rule"
          }
        ],
        "x-codegen-request-body-name": "recurrenceRule",
        "requestBody": {
          "description": "",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "title": "RecurrenceRuleUpdateRequest",
                "properties": {
                  "recurrenceRule": {
                    "type": "object",
                    "properties": {
                      "title": {
                        "type": "string",
                        "description": "Determine the title of the rule"
                      },
                      "active": {
                        "type": "boolean",
                        "description": "Specify if rule will be active or not."
                      },
                      "startDate": {
                        "type": "string",
                        "description": "Specify the start date from when recurrence rule will be applied"
                      },
                      "endDate": {
                        "type": "string",
                        "description": "Specify the end time when recurrence rule will end"
                      },
                      "repetition": {
                        "type": "object",
                        "properties": {
                          "time": {
                            "type": "string",
                            "description": "Specify the template time to know the hour/minute/second you want to schedule the content on each ocurrence"
                          },
                          "interval": {
                            "type": "array",
                            "description": "Specify the interval days on which rule will be applied",
                            "items": {
                              "type": "number"
                            }
                          }
                        }
                      }
                    }
                  },
                  "scope": {
                    "type": "string",
                    "description": "Which items do you want to apply the new update on all future items or un-modified items",
                    "enum": [
                      "future_items",
                      "unmodified_items"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1recurrence_rules~1%7Bid%7D/get/responses/200/content/application~1json/schema"
                }
              }
            }
          },
          "404": {
            "description": "Recurrence Rule id not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1uploads/post/responses/404/content/application~1json/schema"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```